Bug 1468221 - Update retext to 7.0.1
Update retext to 7.0.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: retext (Show other bugs)
28
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 07:37 EDT by jibecfed
Modified: 2018-06-14 14:16 EDT (History)
1 user (show)

See Also:
Fixed In Version: retext-7.0.1-2.fc28 retext-7.0.1-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-06-12 12:04:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jibecfed 2017-07-06 07:37:05 EDT
Description of problem:
French translation are not complete, but are included in 7.0.1

Version-Release number of selected component (if applicable):
7.0.0

How reproducible:
Always




BTW, I updated release-monitoring because the address of the project changed https://release-monitoring.org/project/8915/

Thanks for your help
Comment 1 Mario Blättermann 2017-07-06 17:01:08 EDT
(In reply to jibecfed from comment #0)
> BTW, I updated release-monitoring because the address of the project changed
> https://release-monitoring.org/project/8915/

Thanks for changing this address to Github. But currently there are no tarball downloads available from Github (only from PyPi with the known link creation problems) so I'll keep the SourceForge address for the time being.

I ran in a problem while creating the package on my f25 system:

renaming /home/mariobl/rpmbuild/BUILDROOT/retext-7.0.1-1.fc25.x86_64/usr/bin/retext.py -> /home/mariobl/rpmbuild/BUILDROOT/retext-7.0.1-1.fc25.x86_64/usr/bin/retext
Traceback (most recent call last):
  File "setup.py", line 199, in <module>
    license='GPL 2+'
  File "/usr/lib64/python3.5/distutils/core.py", line 148, in setup
    dist.run_commands()
  File "/usr/lib64/python3.5/distutils/dist.py", line 955, in run_commands
    self.run_command(cmd)
  File "/usr/lib64/python3.5/distutils/dist.py", line 974, in run_command
    cmd_obj.run()
  File "setup.py", line 116, in run
    desktop_contents = desktop_file.read()
  File "/usr/lib64/python3.5/encodings/ascii.py", line 26, in decode
    return codecs.ascii_decode(input, self.errors)[0]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 198: ordinal not in range(128)

Don't know yet what the problem is, I'll try to figure it out next days.
Comment 2 Fedora End Of Life 2018-05-03 03:55:37 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2018-05-29 07:42:18 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Michael DePaulo 2018-06-05 00:13:15 EDT
Reopening since F27 & F28 are obviously affected by missing translations.
Comment 5 Fedora Update System 2018-06-05 00:19:21 EDT
retext-7.0.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-31e099b211
Comment 6 Fedora Update System 2018-06-05 00:22:01 EDT
retext-7.0.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6427e00429
Comment 7 Fedora Update System 2018-06-05 10:50:19 EDT
retext-7.0.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6427e00429
Comment 8 Fedora Update System 2018-06-05 11:23:21 EDT
retext-7.0.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-31e099b211
Comment 9 Fedora Update System 2018-06-12 12:04:19 EDT
retext-7.0.1-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2018-06-14 14:16:10 EDT
retext-7.0.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.